Download it now!
Bug 78470 - MS WORD legacy input field not supported
Summary: MS WORD legacy input field not supported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
: 78620 79401 (view as bug list)
Depends on:
Blocks: DOC-Fields
  Show dependency treegraph
 
Reported: 2014-05-09 07:05 UTC by AngelBlueSky
Modified: 2019-11-17 20:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Thanks a lot. Try opening this file with word and then with libreoffice. (25.50 KB, application/msword)
2014-05-09 12:49 UTC, AngelBlueSky
Details
shows the three input types supported by MS Word (22.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-30 02:23 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description AngelBlueSky 2014-05-09 07:05:18 UTC
I can work on word input field using openoffice via reflection, but I can't do the same with libreoffice, whenever I open a word document containing those text fields they become simple text!
LibreOffice_4.2.4

Similar question is:
FILESAVE as .docx: Date (fixed), Time (fixed) fields become static field name text


Thanks
Comment 1 Cor Nouws 2014-05-09 11:38:56 UTC
Hi ABS,

thanks for writing..
However, I've an doc-tab-field-document here. Can open in 4.2.4.2 and use the fields. Save as .doc and use again. Same with .docx...

So .. :)

Pls provide sample document & better description.

Cheers,
Cor
Comment 2 AngelBlueSky 2014-05-09 12:49:27 UTC
Created attachment 98753 [details]
Thanks a lot. Try opening this file with word and then with libreoffice.

Thanks a lot. Try opening this file with word and then with libreoffice.
Comment 3 Yousuf Philips (jay) (retired) 2014-05-30 02:16:39 UTC
*** Bug 79401 has been marked as a duplicate of this bug. ***
Comment 4 Yousuf Philips (jay) (retired) 2014-05-30 02:17:15 UTC
*** Bug 78620 has been marked as a duplicate of this bug. ***
Comment 5 Yousuf Philips (jay) (retired) 2014-05-30 02:22:40 UTC
I was about to report this yesterday, so thank you for reporting this. Microsoft Word 2007+ has three types of input fields - legacy, activeX and modern. LibO seems to only support the activeX type, which by double-clicking you can enter text in the field.
Comment 6 Yousuf Philips (jay) (retired) 2014-05-30 02:23:15 UTC
Created attachment 100131 [details]
shows the three input types supported by MS Word
Comment 7 Yousuf Philips (jay) (retired) 2014-05-30 05:18:16 UTC
No it seems LibO does support the legacy input field, but doesnt do so in a good manager, which is why i've submitted bug 79435.

@AngelBlueSky: your asking about why your not able to access the text fields similar to the same methods used in OpenOffice, which i'd assume is related to differences in the API between the two office suites. I will try to get a developer to look into this issue for you. Please do not create additional bug reports like bug 78620 and bug 79401, as that will not mean that you would get an answer faster and will make additional work for individuals who are checking bug reports.
Comment 8 Joel Madero 2014-06-02 20:15:28 UTC
This is not a critical bug - critical means data loss/crashes/etc... this is just a normal bug. Marking accordingly. Please do not set to critical again. For more information feel free to email the QA list about priorities.
Comment 9 AngelBlueSky 2014-06-04 07:22:31 UTC
Thank s a lot, you've been very kind.
Was my bad marking as "critical", well in a way it is "critical to my software". 
You are right, I use legacy input fields and LO doesn't recognize them correctly.
Tanks again.
Comment 10 Owen Genat (retired) 2014-10-05 12:36:01 UTC
Opening attachment 98753 [details] under GNU/Linux using:

3.4.6.2 OOO340m1 Build: 602
v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
v3.6.7.2 Build ID: e183d5b
v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
v4.2.6.3 Build ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
v4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
v4.4.0.0.alpha0+ Build ID: 65277f994ae25d930c15aebba0ed19f8de0abba1 TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-29_19:47:20

... shows the field to be uneditable i.e., indicates that this type of field has never been supported by LO. Status set to NEW. Version set to 3.3.4. Summary amended to indicate this has never been supported.
Comment 11 QA Administrators 2015-10-14 19:57:53 UTC Comment hidden (obsolete)
Comment 12 Buovjaga 2016-01-30 14:31:57 UTC
Yeah can't edit it by right-clicking.
Does not appear as simple text, though (it has grey bg).

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 13 QA Administrators 2017-03-06 14:39:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306